__gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > - Const node iterator.

SYNOPSIS

#include <node_iterators.hpp>

Inherited by __gnu_pbds::detail::bin_search_tree_node_it_< Node, Const_Iterator, Iterator, _Alloc >.

  Public Types

typedef Const_Iterator const_reference
Iterator's __const reference type.
typedef trivial_iterator_difference_type difference_type
Difference type.
typedef trivial_iterator_tag iterator_category
Category.
typedef rebind_traits< _Alloc, metadata_type >::const_reference metadata_const_reference
Const metadata reference type.
typedef Node::metadata_type metadata_type
Metadata type.
typedef Const_Iterator reference
Iterator's reference type.
typedef Const_Iterator value_type
Iterator's value type.

  Public Member Functions

bin_search_tree_const_node_it_ (const node_pointer p_nd=0)
bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > get_l_child () const
Returns the __const node iterator associated with the left node.
metadata_const_reference get_metadata () const
Metadata access.
bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > get_r_child () const
Returns the __const node iterator associated with the right node.
bool operator!= (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const
Compares (negatively) to a different iterator object.
const_reference operator* () const
Access.
bool operator== (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const
Compares to a different iterator object.

  Public Attributes

node_pointer m_p_nd

Detailed Description

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc>
class __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >"Const node iterator.

Member Typedef Documentation

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::const_reference

Iterator's __const reference type.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef trivial_iterator_difference_type __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::difference_type

Difference type.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef trivial_iterator_tag __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::iterator_category

Category.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef rebind_traits<_Alloc,metadata_type>::const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::metadata_const_reference

Const metadata reference type.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef Node::metadata_type __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::metadata_type

Metadata type.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::reference

Iterator's reference type.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::value_type

Iterator's value type.

Member Function Documentation

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_l_child () const [inline]

Returns the __const node iterator associated with the left node.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> metadata_const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_metadata () const [inline]

Metadata access.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_r_child () const [inline]

Returns the __const node iterator associated with the right node.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> bool __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator!= (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > & other) const [inline]

Compares (negatively) to a different iterator object.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator* () const [inline]

Access.

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc> bool __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator== (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > & other) const [inline]

Compares to a different iterator object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.